#version 150 core

uniform sampler2D colorTexture;
uniform float selected = 0.0f;
uniform float playerbalance;
uniform float aibalance;
uniform float time;

in vec3 ex_color;
in vec2 texCoordout;
out vec4 out_color;

void main(void)
{
	vec4 texel = texture2D(colorTexture, texCoordout);
	vec4 playercolor = vec4(1.0, 1.0, 1.0, 1.0);

	if (selected >= 1.0)
	{
		if (selected >= 2.0)
		{			
			if (texel[3] > 0.8f && texel.x + texel.y + texel.z > 0.2)
				{
					texel.x = 3 * texel.x;
					texel.y = 3 * texel.y;
					texel.z = 3 * texel.z;
				}
		}
	}
	else if (selected <= -1.0f)
	{
	}
	else if (time == -1.0)
	{
		float playerborder = 1-playerbalance / 100;
		float aiborder = aibalance / 100;

		if (texCoordout.x < aiborder) 
			playercolor = vec4(1.0, 0.0, 0.0, 1.0);
		else if (texCoordout.x > playerborder)
			playercolor = vec4(0.1, 0.1, 1.0, 1.0);
		else
			playercolor = vec4(0.7, 0.7, 0.7, 1.0);

		texel = texel * playercolor;
	}
	else if (time >= 0.0)
	{
		texel = texel * 1.2;
		float fac = 0.7 + 0.2*(sin(0.6 * time)+1) * (cos(0.8 * time)+1) * (sin(time)+1) * (0.8 + (sin(10*time)+1)/10);
		texel = texel * fac;
	}
	out_color =  texel;
}